API
Electronic Media API
Television, radio, channels, programs, transcripts, broadcast journalism, and audiovisual news coverage.
API Reference Version: 1.0.0 9 Endpoints Authentication
Base URL
https://api.pressmonitor.co.in Authentication
All requests use Bearer token authentication. Add the Authorization header to every call.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/channels Search Channels
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | No | Search terms or keywords |
| country_code | string | query | No | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/channels" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/headlines Get Headlines
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| channel | string | query | No | Channel ID to filter by |
| country_code | string | query | No | Filter by country code (ISO 3166-1 alpha-2) |
| lang_code | string | query | No | Filter by language code (ISO 639-1) |
| date_from | string | query | No | Start date for date range filter (YYYY-MM-DD) |
| date_to | string | query | No | End date for date range filter (YYYY-MM-DD) |
| count | integer | query | No | Number of results to return |
| search_after | string | query | No | Pagination cursor for next page |
| sort | string | query | No | Sort order (date or relevance) |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/headlines?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/briefs Get Briefs
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/briefs?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/transcripts Get Transcripts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/transcripts?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/transcripts-metadata Get Transcripts with Timing
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/transcripts-metadata?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/headlines-translated Get Translated Headlines
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| target_lang_code | string | query | Yes | Target language code for translation (ISO 639-1) |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/headlines-translated?query=VALUE&target_lang_code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/briefs-translated Get Translated Briefs
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| target_lang_code | string | query | Yes | Target language code for translation (ISO 639-1) |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/briefs-translated?query=VALUE&target_lang_code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/transcripts-translated Get Translated Transcripts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| target_lang_code | string | query | Yes | Target language code for translation (ISO 639-1) |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/transcripts-translated?query=VALUE&target_lang_code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/transcripts-metadata-translated Get Translated Transcripts with Timing
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search terms or keywords |
| target_lang_code | string | query | Yes | Target language code for translation (ISO 639-1) |
| channel | string | query | No | Channel ID to filter by |
| count | integer | query | No | Number of results to return |
Code Examples
curl -X GET "https://api.pressmonitor.co.in/transcripts-metadata-translated?query=VALUE&target_lang_code=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success